Este foro usa cookies
Este foro utiliza cookies para almacenar su información de inicio de sesión si está registrado y su última visita si no lo está. Las cookies son pequeños documentos de texto almacenados en su computadora; las cookies establecidas por este foro solo se pueden usar en este sitio web y no representan ningún riesgo de seguridad. Las cookies en este foro también rastrean los temas específicos que ha leído y la última vez que los leyó. Si Ud. continúa navegando, entenderemos que acepta todas las cookies.

Se almacenará una cookie en su navegador, independientemente de la elección, para evitar que se le vuelva a hacer esta pregunta. Podrá cambiar la configuración de sus cookies en cualquier momento utilizando el enlace en el pie de página.

El foro antiguo se encuentra accesible desde https://foro.gambas-es.org en modo de solo lectura.

Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5

Ayuda urgente para instalar Java y que funcione en Firefox
#1

Hola

Estoy intentando que me funcione la maquina virtual de java para firmar en una administración pero no lo consigo en hacerlo bajo:

Debian 10.
Firefox

Necesito instalar: JRE (Java Runtine Environment) de Oracle u OpenJDK 8

Alguien me puede guiar.

Otra cosa, cuando pongo java -version en la consola me sale:
openjdk version "1.8.0_292"
OpenJDK Runtime Environment (AdoptOpenJDK)(build 1.8.0_292-b10)
OpenJDK 64-Bit Server VM (AdoptOpenJDK)(build 25.292-b10, mixed mode)

Aunque en Firefox: me dice que no tengo la maquina virtual de java.
    ¡Gracias!
#2

Lamento no poder ayudarte. Hace tiempo que me divorcié de Java y no creo (ni quiero) verla jamás... Si me descuido se queda con la casa y el coche, así que Tongue Tongue Tongue

Saludos

Por favor, usa el corrector ortográfico antes de pulsar el botón 'Enviar'
    ¡Gracias!
#3

(19-01-2022, 22:02)jguardon escribió:  Lamento no poder ayudarte. Hace tiempo que me divorcié de Java y no creo (ni quiero) verla jamás... Si me descuido se queda con la casa y el coche, así que

¿  Y eso ?.  ¿ Cómo que se queda con el coche y la casa ?.  Sera Hacienda no ?. Si es que no se puede tener cuentas en las islas Caimán

GambaFeliz:

Espero que no sea algo de urgencia y que tengas un poco de tiempo.

Bash
  1. javac --versión



Supongo que te responde lo mismo que la instrucción java
No tienes que cambiar de versión de Java, tal como lo cuentas. Tienes la 8.
En mi caso uso la 11, pero te viene mejor la 8 para estos temas. ( Si es que funciona ).
 
(19-01-2022, 18:03)gambafeliz escribió:  Estoy intentando que me funcione la maquina virtual de java para firmar en una administración pero no lo consigo en hacerlo bajo:

Supongo que puedes usar dos tipos de certificados, el digital y hay otro que se activa para realizar la gestión que te interese.
Este:

¿Qué es Cl@ve?

Lee un poco sobre ese. No vas necesitar ni te va a crear el problema del certificado digital al usarlo con java, linux y administración.
Ya que las "páginas" que lo usan son independientes de ese problema. Algo es algo. Independiente de Linux. No lo culpes, son cosas
de las administraciones.

A ver si esto, también pude ayudarte. ( Haciéndolo de otra forma a la de antes). Este habla de Debian 10.

AutoFirma, Java, Firefox, DNIe, FNMT y Debian 10

Saludos y que lo logres. Wink

"El lobo siempre será malo si sólo escuchamos a Caperucita.". El lobo.
    ¡Gracias!
#4

(19-01-2022, 18:03)gambafeliz escribió:  Aunque en Firefox: me dice que no tengo la maquina virtual de java.

Acaso se tendrá que poner manualmente en el PATH la dirección de java/bin  ???

Es mejor saber un poco de todo, que todo de muy poco. Lo primero, garantiza la supervivencia humana.
    ¡Gracias!
#5

Mirad es altamente complicado. Para resumir Debian 10 Stable no tiene java instalado de base. Por lo tanto hay que hacerlo.

Pero el problema esta aquí. Miradlo como un gran juego o reto. Instalar un Debian 10 Stable e intentar instalar esto que os voy a decir, con estos enlace.

Vamos el que lo consiga es un Mostroo. Es broma, pero vamos os va a costar un montón conseguirlo.

Reto: Debéis instalar Autofirma en un Debian 10 Stable que no tenga ningún java.

https://ws024.juntadeandalucia.es/ae/descargar/5733
    ¡Gracias!
#6

gambafeliz:

Lo puedo intentar. Smile

¿ Cómo que aun no instalaste la 11 ?. Es que fui a buscar la Debian y lo que me encontraba era la 11. Estable. ( BullsEye ).
¿ Entonces te interesa con la 10 ?. Bajo esta entonces.

De paso comentarte esto. No tiene por que funcionarte, de hecho con la Linux Mint Mate Java instalado, dejó de funcionar.
Lo usé para las oposiciones a la bolsa del SAS. Lo que es autofirma, usé como dos versiones. Pero es que había dos formas de hacerlo,
en linea o sin conectarte. Eso en su día.

Si es algo urgente, no te obsesiones con que te funcione con Linux, busca la forma fácil de hacerlo con Linux, si tienes que usar clave
por motivos de urgencia, no lo dudes.

No tienes por que castigarte por que una aplicación no exista en Linux. No es culpa de Linux, ni tuya.
Las cosas cambian, existen modificaciones, cosas que se quedan obsoletas, luego no funcionan con versiones nuevas.
Pero esto en el mundo de la programación es algo habitual. En parte no avanzaríamos. No es algo fácil esas actualizaciones.
Es como decirte que uses una aplicación de Gambas 1 en Gambas 3....hasta cierto punto funcionará, gracias a su creador,
pero no se pueden pedir peras al olmo.

Lo que me preocupa es que no puedas hacer una gestión por que el sistema no te deje, busca siempre una alternativa
y no tienes que usar Windows para esa alternativa.

Entiendo tu situación, ya que también me pasó en su día, pero busqué una alternativa que me funcionó.
Romperte la cabeza no va a solucionar algo  que no es problema del sistema.

Decimos, las cosas avanzan, parece que no para todos igual. Las administraciones, las primeras que están obsoletas.
Y manejan millones y no solucionan esos problemas.  Imagina explicarle a un usuario que usa el ordenador para hacer
cuatro cosas, que es por culpa de una librería que a su vez usa otra ....y así. El usuario le importa eso un rábano, quiere
que le funcione y punto. Pero no es tan fácil.

Finalmente. El usuario, el programador, tiene que buscar la alternativa más fácil para el.

Saludos

"El lobo siempre será malo si sólo escuchamos a Caperucita.". El lobo.
    ¡Gracias!
#7

Gracias Shell en primer lugar decirte que últimamente eres como mi refugio en este foro, hay mas personas pero últimamente tu y yo solemos estar en sintonía. Es una pena que no ocurre lo mismo con gente que aprecio y no entiendo que pasa. Dicho esto.

Te comento sobre lo que dices pero antes te digo mi pretensión. Para mi esto es la GUERRA voy a ser como una pulga en el culo de un perro. El perro es grande pero no sabes lo que puede picar una pulga loca y sin control.

Es más voy a emplear todo, absolutamente todos, mis conocimientos en dar por culo al departamento informático de la Junta de Andalucia por la discriminación y la inseguridad ciudadana que provoca el uso de Java en un sistema operativo (el que sea) esto hace que todos los usuario estén en peligro de ataques de identidad de forma gratuita y a sabiendas de un departamento informático gubernamental. Y esto sinceramente es un delito. Y los delitos no solo deben ser pagado por los ciudadanos sino por los que gobiernan también.

Dicho esto, me centro en el problema.

1. Para firmar un documento con certificado de CERES no es necesario tener Java en ningún sistema pero parece ser que los andaluces tenemos que poner este sistema tan inseguro por que alguien no sabe implementar algo correcto y seguro.

2. He hablado con expertos de Debian en su servidor IRC y me cuentan que esto no va a funcionar nunca. Ya que lo que pretende la junta de andalucia es que algo absolutamente con falta de seguridad funcione y que Debian nunca va apoyar este tipo de software, su máximo interés es la seguridad de su sistema por lo tanto esta es la razón de que no funcione.

3. Mi linea de actuación será presentar cientos de reclamaciones y recursos contra la Junta de Andalucia por violar la seguridad de los sistemas informáticos de sus ciudadanos.

Como tu dices dejo de funcionar pero si se te ocurre algo para que yo lo resuelva pues para mi mejor.

Me dices que lo haga de otro modo pero no me indicas, ¿como?, yo te cuento, como podría resolver, pero como te he dicho no lo he realizado para no solo luchar para mi y a la vez dar me a mi mismo por saco. Lo hago por los ciudadanos Andaluces, y se que eso parece demagogia, pero yo no soy así, yo soy totalmente verdadero, lo que digo es lo que hago y lo que parezco es lo que soy. Sin trampa ni cartón.

1. Puedo cargar Windows para hacer esto y demostrar que todo sigue sin seguridad, ya que Windows demuestra que no le importa los usuario.
2. Ir y presentarlo de forma física. Y así apoyo a que los ciudadanos con Linux no me importan como demuestra la falta de cambio de la propia Junta de Andalucia.
3. Quizás y no estoy seguro enviarlo a un registro general de un gobierno como España y que lo pasen ellos al sitio correcto según la ley de administraciones o enviarlo por correo en vez de físicamente. Pero todo es hipocresía y eso me da asco.

Básicamente y para resumir. Autofirma de la Junta de Andalucia esta empaquetado en un Java sin apoyo de Oracles (el digamos el comprador del software y después donador a opensource) así como sin apoyo de ningún sistema informático que aprecie la seguridad del sistema ni de sus usuario. Y todo se mantiene por que somos unos borregos que no luchamos por el bien común o viéndolo de otra forma por que solo miramos egoístamente a nosotros mismos y no pensamos que existen personas que incluso no pueden salir a la calle para arreglar un papel por tener enfermedad y poco dinero para tener incluso windows.

Gracias por tu apoyo

mas cosas

(31-01-2022, 16:26)Shell escribió:  gambafeliz:

Lo puedo intentar. Smile
Por favor.
(31-01-2022, 16:26)Shell escribió:  ¿ Cómo que aun no instalaste la 11 ?. Es que fui a buscar la Debian y lo que me encontraba era la 11. Estable. ( BullsEye ).
¿ Entonces te interesa con la 10 ?. Bajo esta entonces.
No tengo ninguna prisa para cambiar Debian. Alguna vez dije que me gusta lo estable y como Gambas me va magnifico pues ni tengo interes en otra versión de Debian. Además estoy liado con el diseño en 3D y como nuevamente va de lujo pues nada no me cambio hasta que de verdad Debian 10 sea obsoleto completamente.
[/quote]
(31-01-2022, 16:26)Shell escribió:  De paso comentarte esto. No tiene por que funcionarte, de hecho con la Linux Mint Mate Java instalado, dejó de funcionar.
Lo usé para las oposiciones a la bolsa del SAS. Lo que es autofirma, usé como dos versiones. Pero es que había dos formas de hacerlo,
en linea o sin conectarte. Eso en su día.

Serias tan amable de probar autofirma sin hacerlo en linea esto me interesa.
(31-01-2022, 16:26)Shell escribió:  Si es algo urgente, no te obsesiones con que te funcione con Linux, busca la forma fácil de hacerlo con Linux, si tienes que usar clave
por motivos de urgencia, no lo dudes.
dime como yo quiero hacerlo con clave pero para enviar un documento digamos una reclamación solo puedo pasando por autofirma y no me deja por ejemplo con clave permanente y si yo no lo se hacer por favor dimelo.
(31-01-2022, 16:26)Shell escribió:  No tienes por que castigarte por que una aplicación no exista en Linux. No es culpa de Linux, ni tuya.
Las cosas cambian, existen modificaciones, cosas que se quedan obsoletas, luego no funcionan con versiones nuevas.
Pero esto en el mundo de la programación es algo habitual. En parte no avanzaríamos. No es algo fácil esas actualizaciones.
Es como decirte que uses una aplicación de Gambas 1 en Gambas 3....hasta cierto punto funcionará, gracias a su creador,
pero no se pueden pedir peras al olmo.

Lo que me preocupa es que no puedas hacer una gestión por que el sistema no te deje, busca siempre una alternativa
y no tienes que usar Windows para esa alternativa.

Entiendo tu situación, ya que también me pasó en su día, pero busqué una alternativa que me funcionó.
Romperte la cabeza no va a solucionar algo  que no es problema del sistema.

Decimos, las cosas avanzan, parece que no para todos igual. Las administraciones, las primeras que están obsoletas.
Y manejan millones y no solucionan esos problemas.  Imagina explicarle a un usuario que usa el ordenador para hacer
cuatro cosas, que es por culpa de una librería que a su vez usa otra ....y así. El usuario le importa eso un rábano, quiere
que le funcione y punto. Pero no es tan fácil.

Finalmente. El usuario, el programador, tiene que buscar la alternativa más fácil para el.

Saludos

Tu dime como y yo te sigo, Gracias como siempre....
    ¡Gracias!


Posibles temas similares…
Tema / Autor Respuestas Vistas Último mensaje

Salto de foro:


Usuarios navegando en este tema: 1 invitado(s)